﻿(function (app) {
    app.controller('myCtrl', ["$scope", function ($scope) {

    }]);
    app.controller('mySettingCtrl', ['$scope', 'data', '$state', function ($scope, data, $state) {
        $scope.logout = function () {
            data.remove('user');
            data.remove('token');
            $state.go('login');
        }
    }]);
    app.controller('mySetPasswordCtrl', ['$scope', '$state', function ($scope,$state) {
        $scope.vm = {
            password: '',
            password2: '',
            isloading: false,

        };
        $scope.submit = function () {

        }
    }]);
    app.controller('myApplyCtrl', ['$scope', function ($scope) {

    }]);
    app.controller('myApplyProfileCtrl', ['$scope', 'userService', 'msg', 'util','data', function ($scope, userService, msg, util,data) {
        $scope.user = data.getObject('user');
        $scope.vm = {};
        $scope.genderOpt = [
              { name: "男", value: 1 },
              { name: "女", value: 0 }
        ];
        userService.getApplyProfile().then(function (result) {
            $scope.vm = result;
        }, function (erro) {
            msg.error(erro);
        });
        $scope.setAvator = function (type) {
            var wx = window.wx;
            wx.chooseImage({
                count: 1, // 默认9
                sizeType: ['compressed'], // ['original', 'compressed']可以指定是原图还是压缩图，默认二者都有
                sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
                success: function (res) {
                    //var localIds = res.localIds; // 返回选定照片的本地ID列表，localId可以作为img标签的src属性显示图片
                    if (res.localIds.length > 0) {
                        switch (type) {
                            case 1:  //证件照正面
                                $scope.vm.CardImgFront = res.localIds[0];
                                break;
                            case 2:   //证件照反面
                                $scope.vm.vm.CardImgBack = res.localIds[0];
                                break;  
                            case 3:  //自拍照
                                $scope.vm.vm.CardImgSelf = res.localIds[0];
                                break;
                            default:
                                break;
                        }
                    } else {
                        msg.text('未选中图片');
                    }
                }
            });
        }
         
        $scope.save = function () {

            msg.loading('保存中...')
            userService.saveApplyProfile($scope.vm).then(function (result) {
                msg.hide();
                $state.go('uf7.my_apply');
            }, function (erro) {
                msg.hide();
                msg.error(erro);
            });
        }
       
    }]);
    app.controller('myApplyJobCtrl', ['$scope', '$ionicModal', function ($scope, $ionicModal) {
        $ionicModal.fromTemplateUrl('industryConditions.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function (modal) {
            $scope.industryConditions = modal;
        });
        $scope.vm = {};
        $scope.chooseIndustry = function () {
            $scope.industryConditions.show();
        }
        $scope.closeIndustryConditions = function () {
            $scope.industryConditions.hide();
        }
        $scope.Industries = ['农、林、牧、渔业', '采矿业', '制造业',
            '电力、热力、燃气及水的生产和供应业', '环境和公共设施管理业', '建筑业', '交通运输、仓储业和邮政业', '信息传输、计算机服务和软件业', '批发和零售业',
            '住宿、餐饮业', '金融、保险业', '房地产业', '租赁和商务服务业', '科学研究、技术服务和地质勘查业', '水利、环境和公共设施管理业', '居民服务和其他服务业', '教育', '卫生、社会保障和社会服务业', '文化、体育、娱乐业', '综合（含投资类、主业不明显）', '其它'];
        
    }]);
    app.controller('myApplyContactCtrl', ['$scope', function ($scope) {

    }]);
    app.controller('myApplyBankCtrl', ['$scope', function ($scope) {
        $scope.add = function () {

        }
    }]);
    app.controller('profileCtrl', ['$scope', function ($scope) {
        $scope.data = {};
    
        $scope.relationshipOpt = [
            {name:'父母',value:1},
            {name:'配偶',value:2},
            {name:'亲戚',value:3},
            {name:'同学',value:4},
            {name:'同事',value:5},
            {name:'朋友',value:6},
            {name:'其它',value:7}
        ];
        $scope.save = function () {

        }
    }]);
    app.controller('myFenqiCtrl', ['$scope','$state', function ($scope,$state) {
        $scope.gotowait = function () {
            $state.go('uf7.my_fenqi_wait');
        }

    }]);
    app.controller('myfenqiWaitCtrl', ['$scope', '$state', function ($scope, $state) {
      
        $scope.gotoSucess = function () {
            $state.go('uf7.my_fenqi_success'); 
        }
    }]);
    app.controller('myFenqiSuccessCtrl', ['$scope', '$state', function ($scope, $state) {
        $scope.gotobill = function () {
            $state.go('uf7.bill');
        }
    }]);
    app.controller('mySudaiCtrl', ['$scope', function ($scope) {

    }]);
})(angular.module('app.controllers'));